List Lambda resources for a project
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/lambdas \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Id: <tenant-id>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/lambdas"
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tenant-Id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/lambdas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"description": "<string>",
"resource_type": "s3",
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "DEFINED",
"deletable": true,
"function_name": "<string>",
"runtime": "nodejs4.3",
"architecture": "arm64",
"memory_size": 123,
"handler": "<string>",
"timeout": 123,
"code": "<string>",
"retry_attempts": 123,
"artifact_version": "<string>",
"inline_policy": "<string>",
"allow_actions": [
"<string>"
],
"allow_resources": [
"<string>"
],
"layers": [
{
"code_path": "<string>"
}
],
"artifact_type": "artifact",
"ecr_config": {
"image_name": "<string>",
"image_tag": "<string>"
},
"stack_info": {
"function_arn": "<string>",
"function_name": "<string>",
"runtime": "nodejs4.3",
"layers": [
"<string>"
]
},
"month_cost": null
}
]{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Projects
List Lambda resources for a project
GET
/
project
/
{projectId}
/
lambdas
List Lambda resources for a project
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Path Parameters
Project identifier.
Response
OK
models.ResourceType in paas-lib.
Available options:
s3, event_bus, lambda, api_gateway, cognito, cron, dynamodb, opensearch, pub_sub, parameter, secrets, postgres, role, ecs_image models.ResourceStatus (paas-lib).
Available options:
DEFINED, MODIFIED, DEPLOYED models.LambdaRuntime (paas-lib).
Available options:
nodejs4.3, nodejs6.10, nodejs8.10, nodejs10.x, nodejs12.x, nodejs14.x, nodejs16.x, nodejs18.x, nodejs20.x, nodejs_latest, nodejs22.x, python2.7, python3.6, python3.7, python3.8, python3.9, python3.10, python3.11, python3.12, python3.13, java8, java8.corretto, java11, java17, java21, dotnet6, dotnet8, dotnet9, dotnetcore1, dotnetcore2, dotnetcore2.1, dotnetcore3.1, go1.x, ruby2.5, ruby2.7, ruby3.2, ruby3.3, ruby3.4, provided, provided.al2, provided.al2023, from_image models.LambdaArchitecture (paas-lib).
Available options:
arm64, x86_64 Show child attributes
Show child attributes
Type of deployable artifact (null or omitted = regular S3 artifact).
Available options:
artifact, ecr_image models.LambdaECRConfig (paas-lib). ECR image reference when artifact_type is ecr_image.
Show child attributes
Show child attributes
Show child attributes
Show child attributes